# maplibre::tessellation - Rust
Tessellation for lines and polygons is implemented here.
Keywords: rust, rustlang, rust-lang, tessellation

# Module maplibre::tessellation

source · [−]
Expand description

Tessellation for lines and polygons is implemented here.

## Modules

zero_tessellator

Tessellator implementation.

## Structs

OverAlignedVertexBuffer

Vertex buffer which includes additional padding to fulfill the `wgpu::COPY_BUFFER_ALIGNMENT`.

VertexConstructor

Constructor for Fill and Stroke vertices.

## Constants

DEFAULT_TOLERANCE

## Traits

Align
Tessellated

An element that can be tessellated into vertex buffers.

## Type Definitions

IndexDataType

Vertex buffers index data type.